import Vector2 from "./Vector2";

export default class Movable extends FYGE.Sprite {
    private _velocity: Vector2;

    set velocity(val: Vector2) { this._velocity = val }

    step() {
        this.y += this._velocity.y;
        this.x += this._velocity.x;
    }
}