import { addGame } from "./planewar/addGame";
var canvas: any = document.getElementById("canvas")
canvas.width = document.body.clientWidth * 1
canvas.height = document.body.clientHeight * 1
var stage = new FYGE.Stage(
    canvas,
    750,
    1624,
    canvas.width,
    canvas.height,
    FYGE.RENDERER_TYPE.CANVAS,
    false,
    false
)

var mouseEvent = stage.onMouseEvent.bind(stage);
canvas.addEventListener("touchstart", mouseEvent, false);
canvas.addEventListener('touchmove', mouseEvent, false);
canvas.addEventListener('touchend', mouseEvent, false);

stage.addEventListener(FYGE.Event.INIT_STAGE, onInitStage, this);

function onInitStage() {
   new addGame(stage)
}

(function loop() {
    FYGE.Tween.flush()
    stage.flush();
    requestAnimationFrame(loop);
})();